Subject: Re: [PATCH] read-cache: make the index write buffer size 128K

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Feb 2021 23:16:42 -0800

Chris Torek <[email-masked]> writes:

> Linux/BSD/etc `stat` system calls report st_blksize values to tell
> user code the optimal size for read and write calls.  Does Windows
> have one?  (It's not POSIX but is XSI.)
>
> (How *well* the OS reports `st_blksize` is another question
> entirely, but at least if the report says, say, 128k, and that's
> wrong, that's no longer Git's fault. :-) )
> ...
> 128K is correct for ZFS; 64K is typically correct for UFS2; 8K is
> the old UFS1 size.  Anything under that has been too small for
> a long time. :-)

That's rather tempting.  After opening a locked index to write
things out, the value is a single fstat() away...